Package com.google.android.exoplayer2

## Interface PlayerMessage.Target

- All Known Subinterfaces:
    `Renderer`
  All Known Implementing Classes:
    `ActionSchedule.PlayerTarget`, `BaseRenderer`, `CameraMotionRenderer`, `DecoderAudioRenderer`, `DecoderVideoRenderer`, `FakeAudioRenderer`, `FakeMediaClockRenderer`, `FakeRenderer`, `FakeVideoRenderer`, `FfmpegAudioRenderer`, `LibflacAudioRenderer`, `Libgav1VideoRenderer`, `LibopusAudioRenderer`, `LibvpxVideoRenderer`, `MediaCodecAudioRenderer`, `MediaCodecRenderer`, `MediaCodecVideoRenderer`, `MetadataRenderer`, `NoSampleRenderer`, `TextRenderer`
  Enclosing class:
    PlayerMessage

      public static interface PlayerMessage.Target

  A target for messages.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleMessage​(int messageType, Object payload)` | Handles a message delivered to the target.

- - ### Method Detail

    - #### handleMessage

          void handleMessage​(int messageType,
                             @Nullable
                             Object payload)
                      throws ExoPlaybackException

      Handles a message delivered to the target.
      Parameters:
        `messageType` - The message type.
        `payload` - The message payload.
      Throws:
        `ExoPlaybackException` - If an error occurred whilst handling the message. Should only be thrown by targets that handle messages on the playback thread.